#include <bits/stdc++.h>
using namespace std;

int main(){
    int a,b;
    scanf("%d%d", &a, &b);
    for(int i=1;i<=a;i++)
    {
        for(int j=1;j<=a;j++)
        {
            char c;
            scanf("%c", c);
        }
    }
    cout<<2<<endl;
}